<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ospi2urdf: src/osim2urdf_parser.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ospi2urdf
   </div>
   <div id="projectbrief">Express .osim files as .urdf files.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">osim2urdf_parser.py File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html">Osim2URDF</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transform a .osim file into a .urdf file.  <a href="classosim2urdf__parser_1_1Osim2URDF.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceosim2urdf__parser"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceosim2urdf__parser.html">osim2urdf_parser</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a27d2053729ad17e5d5c5dd3aa4ae74a4"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceosim2urdf__parser.html#a27d2053729ad17e5d5c5dd3aa4ae74a4">readJoint</a> (name_joint, pymodel, bodies, body_name)</td></tr>
<tr class="memdesc:a27d2053729ad17e5d5c5dd3aa4ae74a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read all joints of type "name_joint" belonging to body object "bodies", of name "body_name".  <a href="namespaceosim2urdf__parser.html#a27d2053729ad17e5d5c5dd3aa4ae74a4">More...</a><br /></td></tr>
<tr class="separator:a27d2053729ad17e5d5c5dd3aa4ae74a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80361136bd7e3bc9e7ece1768118a430"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceosim2urdf__parser.html#a80361136bd7e3bc9e7ece1768118a430">readJointSet</a> (root, pymodel)</td></tr>
<tr class="memdesc:a80361136bd7e3bc9e7ece1768118a430"><td class="mdescLeft">&#160;</td><td class="mdescRight">Special case where the .osim file got a "JointSet" tag.  <a href="namespaceosim2urdf__parser.html#a80361136bd7e3bc9e7ece1768118a430">More...</a><br /></td></tr>
<tr class="separator:a80361136bd7e3bc9e7ece1768118a430"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49fac8e7a12c5b6df7b7ab737e06cf4e"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceosim2urdf__parser.html#a49fac8e7a12c5b6df7b7ab737e06cf4e">readOsim</a> (filename)</td></tr>
<tr class="memdesc:a49fac8e7a12c5b6df7b7ab737e06cf4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">First method called to read .osim files.  <a href="namespaceosim2urdf__parser.html#a49fac8e7a12c5b6df7b7ab737e06cf4e">More...</a><br /></td></tr>
<tr class="separator:a49fac8e7a12c5b6df7b7ab737e06cf4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11cecbea7159fc52d0581507d386b705"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceosim2urdf__parser.html#a11cecbea7159fc52d0581507d386b705">readOsim30</a> (filename)</td></tr>
<tr class="memdesc:a11cecbea7159fc52d0581507d386b705"><td class="mdescLeft">&#160;</td><td class="mdescRight">Based on the method readOsim of the Ospi package, this method is improved in order to be able to read a larger number of .osim files.  <a href="namespaceosim2urdf__parser.html#a11cecbea7159fc52d0581507d386b705">More...</a><br /></td></tr>
<tr class="separator:a11cecbea7159fc52d0581507d386b705"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1c7b3a585da1da7552f82ba917b2462"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceosim2urdf__parser.html#ad1c7b3a585da1da7552f82ba917b2462">readOsim40</a> (filename)</td></tr>
<tr class="memdesc:ad1c7b3a585da1da7552f82ba917b2462"><td class="mdescLeft">&#160;</td><td class="mdescRight">Based on the method readOsim of the Ospi package, this method is improved in order to be able to read a larger number of .osim files.  <a href="namespaceosim2urdf__parser.html#ad1c7b3a585da1da7552f82ba917b2462">More...</a><br /></td></tr>
<tr class="separator:ad1c7b3a585da1da7552f82ba917b2462"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeea41d0e48e9cd3fdc78c3e05b200ab5"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceosim2urdf__parser.html#aeea41d0e48e9cd3fdc78c3e05b200ab5">readVisuals40</a> (pymodel, bodies)</td></tr>
<tr class="memdesc:aeea41d0e48e9cd3fdc78c3e05b200ab5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to read visual information of a body part "bodies" (linked to the geometry file used to represent the body part : name of the geometry part, scale factors, ...).  <a href="namespaceosim2urdf__parser.html#aeea41d0e48e9cd3fdc78c3e05b200ab5">More...</a><br /></td></tr>
<tr class="separator:aeea41d0e48e9cd3fdc78c3e05b200ab5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26ad97fd20c03ddf7aae5cb9f17a385a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceosim2urdf__parser.html#a26ad97fd20c03ddf7aae5cb9f17a385a">readVisualsName40</a> (name, visuals_data, bones_data, bodies)</td></tr>
<tr class="memdesc:a26ad97fd20c03ddf7aae5cb9f17a385a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to read visual informations, written under a tag "name", of a body part "bodies".  <a href="namespaceosim2urdf__parser.html#a26ad97fd20c03ddf7aae5cb9f17a385a">More...</a><br /></td></tr>
<tr class="separator:a26ad97fd20c03ddf7aae5cb9f17a385a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0be355dde18c1660f40705263e2d56a5"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceosim2urdf__parser.html#a0be355dde18c1660f40705263e2d56a5">VTP2STL</a> (path_vtp, path_stl)</td></tr>
<tr class="separator:a0be355dde18c1660f40705263e2d56a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a02e8f4b0e11846d789ef52456f89e4af"><td class="memItemLeft" align="right" valign="top">dictionary&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceosim2urdf__parser.html#a02e8f4b0e11846d789ef52456f89e4af">correc_stl_dic</a></td></tr>
<tr class="memdesc:a02e8f4b0e11846d789ef52456f89e4af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used to correct the positions of the .stl files.  <a href="namespaceosim2urdf__parser.html#a02e8f4b0e11846d789ef52456f89e4af">More...</a><br /></td></tr>
<tr class="separator:a02e8f4b0e11846d789ef52456f89e4af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a985b7dbc4e56a68aee3e904a61c2371b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceosim2urdf__parser.html#a985b7dbc4e56a68aee3e904a61c2371b">exactly_collision</a> = False</td></tr>
<tr class="memdesc:a985b7dbc4e56a68aee3e904a61c2371b"><td class="mdescLeft">&#160;</td><td class="mdescRight">True : try to represent the collision aspect of the model from the .stl files.  <a href="namespaceosim2urdf__parser.html#a985b7dbc4e56a68aee3e904a61c2371b">More...</a><br /></td></tr>
<tr class="separator:a985b7dbc4e56a68aee3e904a61c2371b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab77d3043b16b1f346c6f99a984c92409"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceosim2urdf__parser.html#ab77d3043b16b1f346c6f99a984c92409">exactly_visual</a> = True</td></tr>
<tr class="memdesc:ab77d3043b16b1f346c6f99a984c92409"><td class="mdescLeft">&#160;</td><td class="mdescRight">True : try to represent the visual aspect of the model from the .stl files.  <a href="namespaceosim2urdf__parser.html#ab77d3043b16b1f346c6f99a984c92409">More...</a><br /></td></tr>
<tr class="separator:ab77d3043b16b1f346c6f99a984c92409"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a1a90139c2c8ab1fca0ea8b1790b7b2"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceosim2urdf__parser.html#a3a1a90139c2c8ab1fca0ea8b1790b7b2">filename</a> = 'TwoArm_7ddOS4.osim'</td></tr>
<tr class="memdesc:a3a1a90139c2c8ab1fca0ea8b1790b7b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the .osim file.  <a href="namespaceosim2urdf__parser.html#a3a1a90139c2c8ab1fca0ea8b1790b7b2">More...</a><br /></td></tr>
<tr class="separator:a3a1a90139c2c8ab1fca0ea8b1790b7b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7158fb745d46e2beedea849918833689"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceosim2urdf__parser.html#a7158fb745d46e2beedea849918833689">o2u</a> = Osim2URDF(osim_path, vtp_path, filename, ros_package_path, exactly_visual, exactly_collision,correc_stl_dic,verbose = True,xacro=True)</td></tr>
<tr class="memdesc:a7158fb745d46e2beedea849918833689"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor of the <a class="el" href="classosim2urdf__parser_1_1Osim2URDF.html" title="Transform a .osim file into a .urdf file. ">Osim2URDF</a> class.  <a href="namespaceosim2urdf__parser.html#a7158fb745d46e2beedea849918833689">More...</a><br /></td></tr>
<tr class="separator:a7158fb745d46e2beedea849918833689"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a556bc2189083b93f7852f14b81846c90"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceosim2urdf__parser.html#a556bc2189083b93f7852f14b81846c90">osim_path</a> = '/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm7'</td></tr>
<tr class="memdesc:a556bc2189083b93f7852f14b81846c90"><td class="mdescLeft">&#160;</td><td class="mdescRight">The path to the .osim model.  <a href="namespaceosim2urdf__parser.html#a556bc2189083b93f7852f14b81846c90">More...</a><br /></td></tr>
<tr class="separator:a556bc2189083b93f7852f14b81846c90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8161856d320b780394891de051cc0133"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceosim2urdf__parser.html#a8161856d320b780394891de051cc0133">ros_package_path</a> = &quot;/home/auctus/catkin_ws/src/human_control/&quot;</td></tr>
<tr class="memdesc:a8161856d320b780394891de051cc0133"><td class="mdescLeft">&#160;</td><td class="mdescRight">Path to the ros package.  <a href="namespaceosim2urdf__parser.html#a8161856d320b780394891de051cc0133">More...</a><br /></td></tr>
<tr class="separator:a8161856d320b780394891de051cc0133"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a1ad1e94acfcc8c3b00d794d52d7e75"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceosim2urdf__parser.html#a0a1ad1e94acfcc8c3b00d794d52d7e75">vtp_path</a> = '/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm7/Geometry'</td></tr>
<tr class="memdesc:a0a1ad1e94acfcc8c3b00d794d52d7e75"><td class="mdescLeft">&#160;</td><td class="mdescRight">Path to the vtp files.  <a href="namespaceosim2urdf__parser.html#a0a1ad1e94acfcc8c3b00d794d52d7e75">More...</a><br /></td></tr>
<tr class="separator:a0a1ad1e94acfcc8c3b00d794d52d7e75"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
